Package org.apache.wiki.parser.markdown

# Class MarkdownDocument

java.lang.Object
org.jdom2.Document
org.apache.wiki.parser.WikiDocument
org.apache.wiki.parser.markdown.MarkdownDocument

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `org.jdom2.NamespaceAware`, `org.jdom2.Parent`

public class MarkdownDocument extends WikiDocument
Simple placeholder for Markdown Nodes

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.jdom2.Document

`baseURI`

## Constructor Summary

Constructors
Constructor
Description
`MarkdownDocument(org.apache.wiki.api.core.Page page, com.vladsch.flexmark.util.ast.Node md)`

## Method Summary

Modifier and Type
Method
Description
`com.vladsch.flexmark.util.ast.Node`
`getMarkdownNode()`
`static com.vladsch.flexmark.util.data.MutableDataSet`
`options(org.apache.wiki.api.core.Context context, boolean isImageInlining, List<org.apache.oro.text.regex.Pattern> inlineImagePatterns)`
Configuration options for MarkdownRenderers.

### Methods inherited from class org.apache.wiki.parser.WikiDocument

`getContext, getPage, getPageData, setContext, setPageData`

### Methods inherited from class org.jdom2.Document

`addContent, addContent, addContent, addContent, canContainContent, clone, cloneContent, detachRootElement, equals, getBaseURI, getContent, getContent, getContent, getContentSize, getDescendants, getDescendants, getDocType, getDocument, getNamespacesInherited, getNamespacesInScope, getNamespacesIntroduced, getParent, getProperty, getRootElement, hashCode, hasRootElement, indexOf, removeContent, removeContent, removeContent, removeContent, setBaseURI, setContent, setContent, setContent, setContent, setDocType, setProperty, setRootElement, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MarkdownDocument

public MarkdownDocument(org.apache.wiki.api.core.Page page, com.vladsch.flexmark.util.ast.Node md)

## Method Details

### getMarkdownNode

public com.vladsch.flexmark.util.ast.Node getMarkdownNode()

### options

public static com.vladsch.flexmark.util.data.MutableDataSet options(org.apache.wiki.api.core.Context context, boolean isImageInlining, List<org.apache.oro.text.regex.Pattern> inlineImagePatterns)
Configuration options for MarkdownRenderers.

Parameters:
  `context` - current wiki context
Returns:
  configuration options for MarkdownRenderers.